Organizations

Scan a cross-organization user transfer for warnings and conflicts (SuperAdmin only)

POST
/api/organizations/transfer/scan

Performs the deeper scan that produces a scanVersion (required by /transfer/execute): warnings, owned-resource counts, agent usage breakdowns, reassignee agents, and role hints. Does not mutate state.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/organizations/transfer/scan" \  -H "Content-Type: application/json" \  -d '{    "userId": "5f7b1c2e8a1d4e0012c3b4a6",    "targetOrganizationId": "5f7b1c2e8a1d4e0012c3b401",    "reassigneeUserId": "5f7b1c2e8a1d4e0012c3b4a8"  }'
{  "scanVersion": "scan-2026-05-18T14:30:00Z-abc123",  "scannedAt": "2026-05-18T14:30:00.000Z",  "userId": "5f7b1c2e8a1d4e0012c3b4a6",  "fromOrganizationId": "5f7b1c2e8a1d4e0012c3b400",  "toOrganizationId": "5f7b1c2e8a1d4e0012c3b401",  "warnings": [],  "ownedCounts": {    "contacts": 1240,    "conversations": 3580,    "assigneeConversations": 412,    "automations": 7,    "workflows": 3  },  "agentUsage": [    {      "agentId": "5f7b1c2e8a1d4e0012c3b610",      "agentName": "Sales Outbound Agent",      "total": 124,      "autopilot": 80,      "isDeleted": false    }  ],  "reassigneeAgents": [],  "isSourceDepartmentManager": false,  "isSuperadmin": true}